> ## Documentation Index
> Fetch the complete documentation index at: https://woku.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a CES tool definition (to build the survey)



## OpenAPI

````yaml /openapi-v1.json get /v1/ces-tool/{id}
openapi: 3.0.0
info:
  title: Woku Client API v1
  description: >-
    Public REST API for programmatic management of woku Voice-of-Customer
    programs: trackers, VoC instruments (NPS, woku, CES, CSAT), action plans,
    support tickets, multi-channel sending and response capture. Requests are
    company-scoped by the API key; never send a company id.
  version: 1.0.0
  contact:
    name: Woku
    url: https://woku.app
    email: team@woku.app
servers:
  - url: https://clientapi.woku.app
    description: Production
security: []
tags: []
paths:
  /v1/ces-tool/{id}:
    get:
      tags:
        - v1 - ces
      summary: Get a CES tool definition (to build the survey)
      operationId: V1CesController_getCesTool
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
            format: ObjectId
      responses:
        '200':
          description: CES tool definition
        '403':
          description: Tool does not belong to caller
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: Company secret API key.

````